uses
    tools;
var
    root: longint;
begin
    randseed := 43580;
    root := generateSymmFree(0, vars);
    root := buildNF(root);
    root := expand(root, 0.025);
    root := addFeatures(root, 0.05);
    outputRandom(root);
end.
